#version 120

varying vec2 uv;

uniform sampler2D colortex0;
uniform sampler2D depthtex0;

#define Chromatic_Aberration 2.0 // [0.0 1.0 2.0 3.0 4.0 5.0 6.0 7.0 8.0 9.0 10.0]

void main () {
    vec3 color;
    color.r = texture(colortex0, vec2(uv.x + Chromatic_Aberration * 0.001, uv.y)).r;

    color.g = texture(colortex0, uv).g;

    color.b = texture(colortex0, vec2(uv.x - Chromatic_Aberration * 0.001 , uv.y)).b;

    gl_FragColor = vec4(color, 1.0);
}